#include <stdio.h>
#include <stdlib.h>

int main()
{
    int poeni,set,ostatak,rez,i,ostaci,poslednjiset,pola;
    scanf("%d", &poeni);
    scanf("%d", &set);
    rez=poeni/set;
    if(rez>=5){
        ostatak=poeni-set*5;
        if(ostatak==0){
            for(i=0;i<5;i++){
                printf("%d %d\n", set, ostatak);
            }
        }
        if(ostatak==5*(set-2)){
            for(i=1;i<6;i++){
                if(i%2==1){
                    printf("%d %d\n", set, set-2);
                }
                if(i%2==0){
                    printf("%d %d\n", set-2, set);
                }
            }
        }
        if(ostatak>5*(set-2)){
            poslednjiset=poeni-4*set-4*(set-2);
            if(poslednjiset%2==1){
                pola=(poslednjiset+1)/2;
                for(i=1;i<6;i++){
                    if(i==1 || i==3)
                        printf("%d %d\n", set, set-2);
                    if(i==2)
                        printf("%d %d\n", set-2, set);
                    if(i==4)
                    printf("%d %d\n", set-3, set);
                    if(i==5)
                    printf("%d %d\n", pola+1, pola-1);
                }
            }
            if(poslednjiset%2==0){
                pola=poslednjiset/2;
                for(i=1;i<6;i++){
                    if(i==1 || i==3)
                        printf("%d %d\n", set, set-2);
                    if(i==2 || i==4)
                        printf("%d %d\n", set-2, set);
                    if(i==5)
                        printf("%d %d", pola+1, pola-1);
                }
            }
        }
        if(ostatak<=5*(set-2)){
            ostaci=ostatak/5;
            if(ostatak%5==4){
                for(i=1;i<=4;i++){
                    if(i==1 || i==3)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2 || i==4)
                        printf("%d %d\n", ostaci+1, set);
                }
                printf("%d %d\n", set, ostaci);
            }
            if(ostatak%5==3){
                for(i=1;i<6;i++){
                    if(i==1 || i==3)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2)
                        printf("%d %d\n", ostaci+1, set);
                    if(i==4)
                        printf("%d %d\n", ostaci, set);
                    if(i==5)
                        printf("%d %d\n", set,ostaci);
                }
            }
            if(ostatak%5==2){
                for(i=1;i<6;i++){
                    if(i==1)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2)
                        printf("%d %d\n", ostaci+1, set);
                    if(i==3 || i==5)
                        printf("%d %d\n", set, ostaci);
                    if(i==4)
                        printf("%d %d\n", ostaci, set);
                }
            }
            if(ostatak%5==1){
                for(i=1;i<6;i++){
                    if(i==1)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2 || i==4)
                        printf("%d %d\n", ostaci, set);
                    if(i==3 || i==5)
                        printf("%d %d\n", set, ostaci);
                }
            }
            if(ostatak%5==0){
                    for(i=1;i<6;i++){
                    if(i==1 || i==3 || i==5)
                        printf("%d %d\n", set, ostaci);
                    if(i==2 || i==4)
                        printf("%d %d\n", ostaci, set);
                }
            }
        }
        }
    if(rez==4){
        {
        ostatak=poeni-set*4;
        if(ostatak==0){
            for(i=0;i<5;i++){
                printf("%d %d\n", set, ostatak);
            }
        }
        if(ostatak==4*(set-2)){
            for(i=1;i<5;i++){
                if(i==1 || i==2 || i==4){
                    printf("%d %d\n", set, set-2);
                }
                if(i==3){
                    printf("%d %d\n", set-2, set);
                }
            }
        }
        if(ostatak>4*(set-2)){
            poslednjiset=poeni-3*set-3*(set-2);
            if(poslednjiset%2==1){
                pola=(poslednjiset+1)/2;
                for(i=1;i<5;i++){
                    if(i==1 || i==3)
                        printf("%d %d\n", set, set-2);
                    if(i==2)
                        printf("%d %d\n", set-2, set);
                    if(i==4)
                    printf("%d %d\n", pola+1, pola-1);
                }
            }
            if(poslednjiset%2==0){
                pola=poslednjiset/2;
                for(i=1;i<5;i++){
                    if(i==1 || i==3)
                        printf("%d %d\n", set, set-2);
                    if(i==2)
                        printf("%d %d\n", set-2, set);
                    if(i==5)
                        printf("%d %d", pola+1, pola-1);
                }
            }
        }
        if(ostatak<=4*(set-2)){
            ostaci=ostatak/4;
            if(ostatak%4==3){
                for(i=1;i<=3;i++){
                    if(i==1 || i==3)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2)
                        printf("%d %d\n", ostaci+1, set);
                }
                printf("%d %d\n", set, ostaci);
            }
            if(ostatak%4==2){
                for(i=1;i<5;i++){
                    if(i==1)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2)
                        printf("%d %d\n", ostaci+1, set);
                    if(i==3 || i==4)
                        printf("%d %d\n",set, ostaci);
                }
            }
            if(ostatak%4==1){
                for(i=1;i<5;i++){
                    if(i==1)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2)
                        printf("%d %d\n", ostaci, set);
                    if(i==3 || i==4)
                        printf("%d %d\n", set, ostaci);
                }
            }
            if(ostatak%4==0){
                    for(i=1;i<5;i++){
                    if(i==1 || i==3 || i==4)
                        printf("%d %d\n", set, ostaci);
                    if(i==2)
                        printf("%d %d\n", ostaci, set);
                }
            }
        }
        }
    }
    if(rez==3){
                ostatak=poeni-set*4;
        if(ostatak==0){
            for(i=0;i<5;i++){
                printf("%d %d\n", set, ostatak);
            }
        }
        if(ostatak==4*(set-2)){
            for(i=1;i<5;i++){
                if(i==1 || i==2 || i==4){
                    printf("%d %d\n", set, set-2);
                }
                if(i==3){
                    printf("%d %d\n", set-2, set);
                }
            }
        }
        if(ostatak>3*(set-2)){
            poslednjiset=poeni-2*set-2*(set-2);
            if(poslednjiset%2==1){
                pola=(poslednjiset+1)/2;
                for(i=1;i<4;i++){
                    if(i==1)
                        printf("%d %d\n", set, set-2);
                    if(i==2)
                        printf("%d %d\n", set, set-2);
                    if(i==3)
                    printf("%d %d\n", pola+1, pola-1);
                }
            }
            if(poslednjiset%2==0){
                pola=poslednjiset/2;
                for(i=1;i<4;i++){
                    if(i==1)
                        printf("%d %d\n", set, set-2);
                    if(i==2)
                        printf("%d %d\n", set, set-2);
                    if(i==3)
                        printf("%d %d", pola+1, pola-1);
                }
            }
        }
        if(ostatak<=3*(set-2)){
            ostaci=ostatak/3;
            if(ostatak%3==2){
                for(i=1;i<=2;i++){
                    if(i==1)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2)
                        printf("%d %d\n", set, ostaci+1);
                }
                printf("%d %d\n", set, ostaci);
            }
            if(ostatak%3==1){
                for(i=1;i<5;i++){
                    if(i==1)
                        printf("%d %d\n", set, ostaci+1);
                    if(i==2)
                        printf("%d %d\n", set, ostaci);
                    if(i==3)
                        printf("%d %d\n",set, ostaci);
                }
            }
            if(ostatak%3==0){
                for(i=1;i<4;i++){
                    if(i==1)
                        printf("%d %d\n", set, ostaci);

                }
            }
    }
    }

    return 0;
}